Source: python-asv-runner
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/airspeed-velocity/asv_runner
Vcs-Git: https://salsa.debian.org/python-team/packages/python-asv-runner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asv-runner
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-pdm-backend,
               python3-importlib-metadata,
               python3-sphinx <!nodoc>,
               furo <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-contributors <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinxcontrib.spelling <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-sphinx-autodoc2 <!nodoc>,
               python3-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-asv-runner
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Core Python benchmark code for ASV
 ASV Runner provides essential functionality for benchmarking
 Python packages with ease and efficiency.

Package: python-asv-runner-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-asv-runner
 ASV Runner provides essential functionality for benchmarking
 Python packages with ease and efficiency.
 .
 This package contains documentation for asv-runner.
